# Interface IPageNumberTypeAttributes

#### Hierarchy

- IPageNumberTypeAttributes

- Defined in file/document/body/section-properties/properties/page-number.ts:27

#####
Index

### Properties

formatType?
separator?
start?

## Properties

### `Optional` `Readonly` formatType

formatType?: "none" | "bullet" | "decimal" | "upperRoman" | "lowerRoman" | "upperLetter" | "lowerLetter" | "ordinal" | "cardinalText" | "ordinalText" | "hex" | "chicago" | "ideographDigital" | "japaneseCounting" | "aiueo" | "iroha" | "decimalFullWidth" | "decimalHalfWidth" | "japaneseLegal" | "japaneseDigitalTenThousand" | "decimalEnclosedCircle" | "decimalFullWidth2" | "aiueoFullWidth" | "irohaFullWidth" | "decimalZero" | "ganada" | "chosung" | "decimalEnclosedFullstop" | "decimalEnclosedParen" | "decimalEnclosedCircleChinese" | "ideographEnclosedCircle" | "ideographTraditional" | "ideographZodiac" | "ideographZodiacTraditional" | "taiwaneseCounting" | "ideographLegalTraditional" | "taiwaneseCountingThousand" | "taiwaneseDigital" | "chineseCounting" | "chineseLegalSimplified" | "chineseCountingThousand" | "koreanDigital" | "koreanCounting" | "koreanLegal" | "koreanDigital2" | "vietnameseCounting" | "russianLower" | "russianUpper" | "numberInDash" | "hebrew1" | "hebrew2" | "arabicAlpha" | "arabicAbjad" | "hindiVowels" | "hindiConsonants" | "hindiNumbers" | "hindiCounting" | "thaiLetters" | "thaiNumbers" | "thaiCounting" | "bahtText" | "dollarText"

- Defined in file/document/body/section-properties/properties/page-number.ts:29

### `Optional` `Readonly` separator

separator?: "hyphen" | "period" | "colon" | "emDash" | "endash"

- Defined in file/document/body/section-properties/properties/page-number.ts:30

### `Optional` `Readonly` start

start?: number

- Defined in file/document/body/section-properties/properties/page-number.ts:28

Generated using TypeDoc